from setuptools import setup, Command

class PyTest(Command):
    user_options = []
    def initialize_options(self):
        pass
    def finalize_options(self):
        pass
    def run(self):
        import subprocess
        errno = subprocess.call(['py.test',  'testing'])
        raise SystemExit(errno)

setup(name='blockerbugs',
      version='0.0.2',
      description='Web application for tracking blocker and nth bugs in Fedora releases',
      author='Tim Flink',
      author_email='tflink@fedoraproject.org',
      license='GPLv2+',
      url='http://localhost/something',
      packages=['blockerbugs', 'blockerbugs.controllers',
                'blockerbugs.util', 'blockerbugs.models'],
      package_dir={'remote_install':'remote_install'},
      include_package_data=True,
      cmdclass = {'test' : PyTest},
      install_requires = [
        'pytest>=2.2.4',
        'Flask==0.9',
        'Flask-SQLAlchemy==0.16',
        'SQLAlchemy== 0.7.8',
        'bunch==1.0.1',
        'python-bugzilla>=0.7',
        'Flask-SQLAlchemy==0.16',
     ]
     )
